Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.impl.model
Class UserAuditTaskImpl

    java.lang.Object
      org.jbpm.services.task.audit.impl.model.AbstractAuditTaskImpl
          org.jbpm.services.task.audit.impl.model.UserAuditTaskImpl

All Implemented Interfaces:
  Serializable, AuditTask, UserAuditTask

Direct Known Subclasses:
  HistoryAuditTaskImpl

    @Entity
    public class UserAuditTaskImpl

extends AbstractAuditTaskImpl
implements UserAuditTask

See Also:
  Serialized Form

Constructor Summary
`UserAuditTaskImpl()`
`UserAuditTaskImpl(String actualOwner, long taskId, String status, Date activationTime, String name, String description, int priority, String createdBy, Date createdOn, Date expirationTime, long processInstanceId, String processId, int processSessionId, long parentId)`

Method Summary
`String` | `getActualOwner()`
`void` | `setActualOwner(String actualOwner)`

Methods inherited from class org.jbpm.services.task.audit.impl.model.AbstractAuditTaskImpl
`getActivationTime, getCreatedBy, getCreatedOn, getDescription, getDueDate, getName, getParentId, getPriority, getProcessId, getProcessInstanceId, getProcessSessionId, getStatus, getTaskId, setActivationTime, setCreatedBy, setCreatedOn, setDescription, setDueDate, setName, setParentId, setPriority, setProcessId, setProcessInstanceId, setProcessSessionId, setStatus, setTaskId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbpm.services.task.audit.impl.model.api.AuditTask
`getActivationTime, getCreatedBy, getCreatedOn, getDescription, getDueDate, getName, getParentId, getPriority, getProcessId, getProcessInstanceId, getProcessSessionId, getStatus, getTaskId, setActivationTime, setCreatedBy, setCreatedOn, setDescription, setDueDate, setName, setParentId, setPriority, setProcessId, setProcessInstanceId, setProcessSessionId, setStatus, setTaskId`

Constructor Detail

### UserAuditTaskImpl

    public UserAuditTaskImpl()

### UserAuditTaskImpl

    public UserAuditTaskImpl(String actualOwner,
                             long taskId,
                             String status,
                             Date activationTime,
                             String name,
                             String description,
                             int priority,
                             String createdBy,
                             Date createdOn,
                             Date expirationTime,
                             long processInstanceId,
                             String processId,
                             int processSessionId,
                             long parentId)

Method Detail

### getActualOwner

    public String getActualOwner()

  Specified by:
    `getActualOwner` in interface `UserAuditTask`

### setActualOwner

    public void setActualOwner(String actualOwner)

  Specified by:
    `setActualOwner` in interface `UserAuditTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.